package cn.pluss.platform.banner;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.Banner;
import com.baomidou.mybatisplus.extension.service.IService;

public interface BannerService extends IService<Banner> {

    Banner queryBanner(Banner banner);

    List<Banner> queryBannerList(Banner banner);

    void saveBanner(Banner banner);

    void updateBanner(Banner banner);

    void deleteBanner(Banner banner);

    List<Banner> queryBannerPage(Map map);

    Integer queryBannerPageCount(Map map);

    void saveBannerBatch(List<Banner> bannerList);
}

